Subject: Re: bug#21349: who shows no users nowadays on Debian

From: Bob Proulx <[email-masked]>
Date: Wed, 26 Aug 2015 14:13:37 -0600

Erik Auerswald wrote:
> This works on a current Debian/testing system (stable as well), so it might
> be a recent Debian/Sid (unstable) issue. Perhaps you want to open a bug
> report there?

Updating utmp depends upon the terminal emulator.  XTerm updates it.
Any XTerm user will be logged in utmp.  I use XTerms and all of my
terminals log as a user in utmp.  But most other terminal emulators
ignore utmp and don't log anything.  If they don't log it then there
isn't anything 'who' can do about it.

AFAIK it doesn't have anything to do with Debian changing anything.
It is all about the changing state of Desktop Environments.  For the
graphical mouse user today they have exactly one "login" now and that
is the entirety of the graphical environment and they never launch a
terminal emulator.

Bob